<?php
// helpers.php

function pr($data = [])
{
    echo "<pre>";
    print_r($data);
    echo "</pre>";
    exit;
}

function current_timestamp()
{
    date_default_timezone_set("Asia/Kolkata");
    return date("Y-m-d h:i:s");
}

function emailValidator($email = null){
    if (empty($email)) return json_encode(["msg" => "Missing Parameter"]);
    if (!filter_var($email, FILTER_VALIDATE_EMAIL)) return json_encode(["msg" => "Invalid Email Address"]);

    return null;
}

function passwordValidator($password = null){
    if (empty($password)) return json_encode(["msg" => "Missing Parameter"]);
    return null;
}

function mobileNoValidator($mob_no = null){
    if (empty($mob_no)) return json_encode(["msg" => "Missing Parameter"]);
    if (!preg_match('/^\d{10}$/', $mob_no)) return json_encode(["msg" => "Invalid Mobile Number"]);
}


function otpGenerator(){
    return rand(111111,999999);
}
?>