<?php

namespace App\Libraries;

use App\Models\User;

class ForgotPasswordEmail extends LoginOtpEmail{
    
    public function forgotPasswordUpdateEmail($email = null, $new_password = null, $re_type_password = null){

        $res =  emailValidator($email);
        if (!empty($res)) return $res;

        // Checking if password doesn't match
        $new_password = trim($new_password);
        $re_type_password = trim($re_type_password);
        if ($new_password != $re_type_password) {
            return json_encode(["msg" => "Password doesn't Match"]);
        }
        // Checking if password doesn't match

        $result = User::updateUserPassword($email, $new_password, "email");
        if ($result) {
            return json_encode(["msg" => "Password Updated Successfully"]);
        }

        return json_encode(["msg" => "Failed to update Password"]);
    }
}

?>