<?php

namespace App\Libraries;

use App\Models\User;

class ForgotPasswordSms extends LoginOtpSms {
    function forgotPasswordUpdateSMS($mobile_no = null, $new_password = null, $re_type_password = null)
    {

        // Checking if password doesn't match
        $new_password = trim($new_password);
        $re_type_password = trim($re_type_password);
        if ($new_password != $re_type_password) {
            return json_encode(["msg" => "Password doesn't Match"]);
        }
        // Checking if password doesn't match

        //Checking if user is registered..
        $user = User::fetchUserDetails($mobile_no,"mobile_no");
        if (empty($user)) {
            return json_encode(["msg" => "Mobile.no not Found"]);
        }
        //Checking if User is registered..

        $result = User::updateUserPassword($mobile_no, $new_password, "mobile_no");
        if ($result) {
            return json_encode(["msg" => "Password Updated Successfully"]);
        }

        return json_encode(["msg" => "Failed to update Password"]);
    }
}