<?php

namespace App\Libraries;

use App\Models\User;

class MultiLoginBlock extends Login {
    private $multiLoginBlock;

    public function __construct(){
        $this->multiLoginBlock = session()->get("multi_login_block") != "" ? session()->get("multi_login_block") : FALSE;
    }

    public function blockMultipleLogin()
    {

        if ($this->multiLoginBlock == TRUE) {
            $session_id = User::getSessionIdFromdDB();

            if ($session_id == -1 || $session_id != session_id()) {
                return 0;
            }
        }

        return 1;
    }
}