<?php

use App\Http\Controllers\Home;
use App\Http\Controllers\Login1;
use Illuminate\Support\Facades\Route;

Route::get('/', [Login1::class, "multiLoginBlock"]);

// Get Routes...

// Routes that are to be accessed by user after successful login...
Route::middleware(['auth'])->group(function () {
    // Route::get("/home", [Home::class, 'index'])->name("home");
});

Route::get("/home",[Home::class,"index"])->name("home");
Route::get("/loginPasswordEmail",[Login1::class, 'loginPasswordEmail']);
Route::get("/loginOTP",[Login1::class,"loginOTP"]);
Route::get("/changePassword",[Login1::class, "changePassword"]);
Route::get("/forgotPasswordEmail",[Login1::class, "forgotPasswordEmail"]);
Route::get("/forgotPasswordLink",[Login1::class, "forgotPasswordLink"]);
Route::get("/forgotPasswordSms",[Login1::class, "forgotPasswordSms"]);
Route::get("/multiLoginBlock",[Login1::class, "multiLoginBlock"]);
// Get Routes...


// Post Routes...
Route::post("/loginPasswordEmail",[Login1::class, "loginPasswordEmail"]);
Route::post("/loginOTP", [Login1::class, "loginOTP"]);
Route::post("/changePassword", [Login1::class, "changePassword"]);
Route::post("/forgotPasswordEmail", [Login1::class, "forgotPasswordEmail"]);
Route::post("/forgotPasswordLink", [Login1::class, "forgotPasswordLink"]);
Route::post("/forgotPasswordSms", [Login1::class, "forgotPasswordSms"]);
Route::post("/multiLoginBlock", [Login1::class, "multiLoginBlock"]);
