<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class Auth
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response{
        $login = new \App\Libraries\MultiLoginBlock;

        if (empty(session()->get("user_id")) || $login->blockMultipleLogin() == 0) {
            session()->flush();
            return redirect("/");
        }

        return $next($request);
    }
}
