<h2 class="text-center py-5"><?= env('system_name') ?></h2>
<div class="col-lg-3 col-md-4 col-sm-10 col-xs-12">
    <div class="card rounded-0">
        <div class="card-header">
            <div class="card-title h4 mb-0 text-center">Login With Password</div>
        </div>
        <div class="card-body">
            <div class="container-fluid">
                <form action="<?= url('loginPasswordEmail') ?>" method="POST">
                    @csrf
                    <?php if (session()->has("error")): ?>
                        <div class="alert alert-danger rounded-0">
                            <?php echo session()->get("error"); ?>
                        </div>
                    <?php endif; ?>
                    <?php if (session()->has("success")): ?>
                        <div class="alert alert-success rounded-0">
                            <?php echo session()->get("success"); ?>
                        </div>
                    <?php endif; ?>

                    <div class="mb-3">
                        <label for="email" class="control-label">Email</label>
                        <div class="input-group rounded-0">
                            <input type="email" class="form-control rounded-0" id="email" name="email" autofocus value="" required="required">
                            @error("email")<p class="error_msg">{{$message}}</p>@enderror
                        </div>
                    </div>

                    <!-- <div class="mb-3">
                        <label for="email" class="control-label">Username</label>
                        <div class="input-group rounded-0">
                            <input type="text" class="form-control rounded-0" id="username" name="username" autofocus value="" required="required">
                            @error("username")<p class="error_msg">{{$message}}</p>@enderror
                        </div>
                    </div> -->

                    <div class="mb-3">
                        <label for="password" class="control-label">Password</label>
                        <div class="input-group rounded-0">
                            <input type="password" class="form-control rounded-0" id="password" name="password" required="required">
                            @error("password")<p class="error_msg">{{$message}}</p>@enderror
                        </div>
                    </div>
                    <div class="d-grid gap-1">
                        <button type="submit" value="submit" name="submit" class="btn rounded-0 btn-primary bg-gradient">Login</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>