<h2 class="text-center py-5"><?= env('system_name') ?></h2>
<div class="col-lg-3 col-md-4 col-sm-10 col-xs-12">
    <div class="card rounded-0">
        <div class="card-header">
            <div class="card-title h4 mb-0 text-center">Multi Places Login</div>
        </div>
        <div class="card-body">
            <div class="container-fluid">
                <form action="<?= url('multiLoginBlock') ?>" method="POST">
                    @csrf
                    <?php if (session()->has('error')): ?>
                        <div class="alert alert-danger rounded-0">
                            <?= session()->set('error') ?>
                        </div>
                    <?php endif; ?>
                    <?php if (session()->has('success')): ?>
                        <div class="alert alert-success rounded-0">
                            <?= session()->get('success') ?>
                        </div>
                    <?php endif; ?>


                    <div class="d-grid gap-1">
                        <button type="submit" name="submit" value="submit" class="btn rounded-0 btn-primary bg-gradient">Login</button>
                    </div>

                </form>
            </div>
        </div>
    </div>
</div>