<h2 class="text-center py-5"><?= env('system_name') ?></h2>
<div class="col-lg-3 col-md-4 col-sm-10 col-xs-12">
    <div class="card rounded-0">
        <div class="card-header">
            <div class="card-title h4 mb-0 text-center">Login OTP</div>
        </div>
        <div class="card-body">
            <div class="container-fluid">
                <form action="<?= url('loginOTP') ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <?php if (session()->has('error')): ?>
                        <div class="alert alert-danger rounded-0">
                            <?= session()->get('error') ?>
                        </div>
                    <?php endif; ?>
                    <?php if (session()->has('success')): ?>
                        <div class="alert alert-success rounded-0">
                            <?= session()->get('success') ?>
                        </div>
                    <?php endif; ?>

                    <?php
                    if (!$otp_sent) {
                    ?>
                        <div class="mb-3">
                            <label for="email" class="control-label">Mobile No.</label>
                            <div class="input-group rounded-0">
                                <input type="text" class="form-control rounded-0" id="mobile_no" name="mobile_no" autofocus value="<?= isset($mobile_no) ? $mobile_no : '' ?>" required="required">
                                <div class="input-group-text bg-light bg-gradient rounded-0"><i class="fa fa-user"></i></div>
                            </div>
                        </div>
                    <?php
                    } else {
                    ?>
                        <div class="mb-3">
                            <label for="email" class="control-label">OTP</label>
                            <div class="input-group rounded-0">
                                <input type="number" class="form-control rounded-0" id="otp" name="otp" required="required" placeholder="Enter OTP">
                                <div class="input-group-text bg-light bg-gradient rounded-0"><i class="fa fa-user"></i></div>
                            </div>
                        </div>
                        <!-- mobile number parameter -->
                        <input type="hidden" name="mobile_no" value="<?= isset($mobile_no) ? $mobile_no : '' ?>">
                        <input type="hidden" name="otp_sent" value="1">
                        <!-- mobile number parameter -->
                    <?php
                    }
                    ?>

                    <div class="d-grid gap-1">
                        <button type="submit" name="submit" value="submit" class="btn rounded-0 btn-primary bg-gradient"><?php echo isset($otp_sent) && $otp_sent == 1 ? "Login" : "Send OTP"; ?></button>
                    </div>

                </form>
            </div>
        </div>
    </div>
</div><?php /**PATH /opt/lampp/htdocs/laravel_libraries/resources/views/loginOTP.blade.php ENDPATH**/ ?>